Subject: [tsvwg] [Technical Errata Reported] RFC4960 (4876)

From: RFC Errata System <[email-masked]>
Date: Thu, 1 Dec 2016 14:36:10 -0800 (PST)

The following errata report has been submitted for RFC4960,
"Stream Control Transmission Protocol".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4960&eid=4876

--------------------------------------
Type: Technical
Reported by: Julien Pourtet <[email-masked]>

Section: 5.1.5.

Original Text
-------------
3)  Compare the port numbers and the Verification Tag contained
    within the COOKIE ECHO chunk to the actual port numbers and the
    Verification Tag within the SCTP common header of the received
    packet.  If these values do not match, the packet MUST be
    silently discarded.

Corrected Text
--------------
3)  Compare the port numbers and the Verification Tag contained
    within the TCB data carried in the State Cookie to the actual
    port numbers and the Verification Tag within the SCTP common
    header of the received packet.  If these values do not match,
    the packet MUST be silently discarded.

Notes
-----
The comparison has to be performed between the values found in the SCTP common header and what is inside the TCB carried in the State Cookie. The current phrasing can lead to think that there are Verifcation Tag and port number fields within the COOKIE ECHO chunk yet outside the State Cookie.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4960 (draft-ietf-tsvwg-2960bis-05)
--------------------------------------
Title               : Stream Control Transmission Protocol
Publication Date    : September 2007
Author(s)           : R. Stewart, Ed.
Category            : PROPOSED STANDARD
Source              : Transport Area Working Group
Area                : Transport
Stream              : IETF
Verifying Party     : IESG

---

From: Michael Tuexen <[email-masked]>
Date: Fri, 9 Dec 2016 21:35:01 +0100

> On 1 Dec 2016, at 23:36, RFC Errata System <[email-masked]> wrote:
> 
I don't understand your argument. The COOKIE-ECHO chunk only contains the cookie as its value.
The COOKIE-ECHO chunk is defined in
https://tools.ietf.org/html/rfc4960#section-3.3.11
and everything "within the COOKIE ECHO chunk yet outside the State Cookie" is the chunk header. The chunk header does not contain
a verification tag or port numbers. These are in the common header. I think the original text is fine.

Best regards
Michael

---

From: Julien Pourtet <[email-masked]>
Date: Fri, 9 Dec 2016 14:29:33 -0800

What I am trying to say is that in the context of section 5.1.5 we seem to
use State Cookie and COOKIE ECHO chunk interchangeably. In my mind, at
least, a COOKIE ECHO chunk is made of a header and a value, which is the
State Cookie.  I found confusing that we were not sticking to 'State
Cookie' when talking about where the Verification Tag and port numbers were
located. The more precise, the better, IMO.

That being said, I think you're right, Section 3.3.11 lifts the ambiguity.
Please disregard my erratum report.

Best,
Julien Pourtet

On Fri, Dec 9, 2016 at 12:35 PM, Michael Tuexen <
[email-masked]> wrote:

> > The comparison has to be performed between the values found in the SCTP
> common header and what is inside the TCB carried in the State Cookie. The
> current phrasing can lead to think that there are Verifcation Tag and port
> number fields within the COOKIE ECHO chunk yet outside the State Cookie.
> and everything "within the COOKIE ECHO chunk yet outside the State Cookie"
> is the chunk header. The chunk header does not contain